class BCComBody
{
	String bc_cust_type;
	String national_reg_no;
	int    cnt;
	BCComCell[] cell = new BCComCell[14];

	byte[] toByte(BCComBody bc)
	{
		return null;
	}

	static BCComBody toObj(byte[] data,String msgCode)
	{
		BCComBody bc = new BCComBody();

		// obtain Meta Info
		bc.bc_cust_type = new String(data,0,1);
		bc.national_reg_no = new String(data,1,13); 

		if ( msgCode.compareTo("0440") == 0) {
			bc.cnt = 0;
			for(int i=0; i< 14; i++)
			{
				String tmp;

				bc.cell[i] = new BCComCell();
				bc.cell[i].bc_cust_no = null;
				bc.cell[i].bank_name = null;
				bc.cell[i].mode = null;
				bc.cell[i].err_code = null;
				bc.cell[i].err_mesg = null;
			}

		} else if ( msgCode.compareTo("0441") == 0) {
			bc.cnt = Integer.parseInt(new String(data,14,2));
			for(int i=0; i< 14; i++)
			{
				String tmp;

				bc.cell[i] = new BCComCell();

				tmp = new String(data,16+(i*65),12);
				bc.cell[i].bc_cust_no = tmp.trim();

				tmp = new String(data,16+(i*65)+12,30);
				bc.cell[i].bank_name = tmp.trim();

				bc.cell[i].mode = null;

				tmp = new String(data,16+(i*65)+12+30,3);
				bc.cell[i].err_code = tmp.trim();

				tmp = new String(data,16+(i*65)+12+30+3,20);
				bc.cell[i].err_mesg = tmp.trim();
			}


		} else {
			bc.cnt = Integer.parseInt(new String(data,14,2));
			for(int i=0; i< 14; i++)
			{
				String tmp;

				bc.cell[i] = new BCComCell();

				tmp = new String(data,16+(i*66),12);
				bc.cell[i].bc_cust_no = tmp.trim();

				tmp = new String(data,16+(i*66)+12,30);
				bc.cell[i].bank_name = tmp.trim();

				tmp = new String(data,16+(i*66)+12+30,1);
				bc.cell[i].mode = tmp.trim();

				tmp = new String(data,16+(i*66)+12+1+30,3);
				bc.cell[i].err_code = tmp.trim();

				tmp = new String(data,16+(i*66)+12+1+30+3,20);
				bc.cell[i].err_mesg = tmp.trim();
			}
		}

		return bc;
	}

}
